Skip to main content
POST
/
api
/
v1
/
ai
/
agents
/
{agentId}
/
chat
curl --request POST \
  --url https://mcp.echozero.app/api/v1/ai/agents/{agentId}/chat \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "message": "Pause my bot and summarize open risk."
}
'
{
  "success": true,
  "data": {
    "conversationId": "<string>",
    "messages": [
      {
        "role": "<string>",
        "content": "<string>",
        "step": "<string>"
      }
    ],
    "escalated": true,
    "withHumanAgent": true,
    "suggestions": [
      {
        "label": "<string>",
        "message": "<string>"
      }
    ]
  }
}

Authorizations

x-api-key
string
header
required

Headers

x-signature
string

HMAC-SHA256 signature: HMAC-SHA256(secretKey, timestamp + METHOD + path + body). Optional -- when omitted, HMAC verification is skipped.

x-timestamp
string

Request timestamp in epoch milliseconds. Required when x-signature is provided. Rejected if drift exceeds 5 minutes.

Path Parameters

agentId
string
required

Body

application/json
message
string
required
conversationId
string

Response

AI reply payload.

success
boolean
required
Example:

true

data
object
required

Endpoint-specific payload